Name: pcmcia-cs
Version: 3.2.7
Release: %(R="$Revision: 1.14 $"; RR="${R##: }"; echo ${RR%%?})
Summary: Utilities for handling PCMCIA devices
Group: System Environment/Daemons
Obsoletes: kernel-pcmcia-cs
License: GPL
BuildRoot: %{_tmppath}/%{name}-root
Source0: http://prdownloads.sourceforge.net/pcmcia-cs/%{name}-%{version}.tar.gz
Source1: pcmcia-cs-2.8.8-network.script
Source2: pcmcia-cs-3.1.24-isdn.script
Source3: rc.pcmcia
Patch1: pcmcia-cs-3.1.18-config.patch
Patch3: pcmcia-cs-3.1.24-portrange.patch
Patch4: pcmcia-cs-3.2.7-makefile.patch
Patch7: pcmcia-cs-3.2.7-cardmgr.patch
ExcludeArch: s390 s390x

Requires: kernel >= 2.4.3, chkconfig, kudzu >= 0.95, hotplug >= 2001_04_24-9
Requires: hwdata >= 0.60

%description
User-level daemon and utilities for using PCMCIA devices on Linux.

%prep
%setup -q

%patch1 -p2 -b .config
%patch3 -p1 -b .portrange
%patch4 -p1 -b .makefile
%patch7 -p1 -b .cardmgr
chmod -R u+rw .

%build

cat <<EOF > config.mk
LINUX=/usr
PREFIX=/
UCC=gcc
LD=ld
UFLAGS=
CPPFLAGS=-I/usr/include -I../include
SYSV_INIT=y
RC_DIR=%{_sysconfdir}/rc.d
MANDIR=%{_mandir}
EOF

cat <<EOF > include/pcmcia/config.h
#ifndef _PCMCIA_CONFIG_H
#define _PCMCIA_CONFIG_H
#define AUTOCONF_INCLUDED
#define __IN_PCMCIA_PACKAGE__
#define LINUX "/usr/include"
#define PREFIX ""
#define KCC "gcc"
#define UCC "cc"
#define LD "ld"
#define UFLAGS ""
#define SYSV_INIT 1
#define RC_DIR "%{_sysconfdir}/rc.d"
#define MANDIR "%{_mandir}"
#endif /* _PCMCIA_CONFIG_H */
EOF

make all

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall PREFIX=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d/pcmcia

install -m755 %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/pcmcia/network
install -m755 %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/pcmcia/isdn
install -m755 %{SOURCE3} $RPM_BUILD_ROOT/%{_sysconfdir}/rc.d/init.d/pcmcia

# We need our own default /etc/sysconfig/pcmcia
cat > $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/pcmcia <<EOF
PCMCIA=yes
PCIC=yenta_socket
PCIC_OPTS=
CORE_OPTS=
CARDMGR_OPTS=-f
EOF

# kill off stuff we don't need or is obsolete
# all of the isapnp is in-kernel now
# scsi_info and ide_info are obsoleted by hdparm
# ifuser and ifport are obsoleted by ip and ethtool
# all of the kernel pcmcia drivers are in-kernel now
# the memory and flash drivers are in-kernel and obsoleted by the mtd layer
# pcinitrd can't even works these days.
rm -f $RPM_BUILD_ROOT/%{_mandir}/man4/*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/ftl_*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/ifport.*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/ifuser.*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/lspnp.*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/pcic_probe.*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/scsi_info.*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/setpnp.*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/pcinitrd.*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/pcic_probe.*
rm -f $RPM_BUILD_ROOT/%{_mandir}/man8/ide_info.*
rm -f $RPM_BUILD_ROOT/%{_sysconfdir}/pcmcia/config
rm -f $RPM_BUILD_ROOT/%{_sysconfdir}/pcmcia/ftl*
rm -f $RPM_BUILD_ROOT/%{_sysconfdir}/pcmcia/memory*
rm -f $RPM_BUILD_ROOT/%{_sysconfdir}/modules.conf
rm -f $RPM_BUILD_ROOT/sbin/pcinitrd
rm -f $RPM_BUILD_ROOT/sbin/ide_info

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add pcmcia

%preun
if [ $1 = 0 ]; then
    /sbin/service pcmcia stop >/dev/null 2>&1
    /sbin/chkconfig --del pcmcia
fi

%triggerpostun -- kernel-pcmcia-cs
/sbin/chkconfig --add pcmcia

%files
%defattr(-,root,root)
%doc doc/* BUGS CHANGES COPYING LICENSE 
%doc MAINTAINERS README README-2.4 SUPPORTED.CARDS
%attr(0755,root,root) /sbin/*
%{_mandir}/man5/*.gz
%{_mandir}/man8/*.gz
%config(noreplace) %{_sysconfdir}/sysconfig/pcmcia
%dir %{_sysconfdir}/pcmcia
%config(noreplace) %{_sysconfdir}/pcmcia/*.opts
%{_sysconfdir}/pcmcia/cis
%{_sysconfdir}/pcmcia/ide
%{_sysconfdir}/pcmcia/network
%{_sysconfdir}/pcmcia/isdn
%{_sysconfdir}/pcmcia/parport
%{_sysconfdir}/pcmcia/scsi
%{_sysconfdir}/pcmcia/serial
%{_sysconfdir}/pcmcia/wireless
%{_sysconfdir}/pcmcia/ieee1394
%{_sysconfdir}/pcmcia/shared
%{_sysconfdir}/rc.d/init.d/pcmcia
%dir %{_var}/lib/pcmcia

%changelog
* Thu Sep 30 2004 Miloslav Trmac <mitr@redhat.com>
- Mark strings in init script for translation (#107464)
- s/Copyright/License/

* Tue Sep 21 2004 Bill Nottingham <notting@redhat.com>
- rebuild

* Wed Sep 08 2004 Bill Nottingham <notting@redhat.com>
- minor init script fixes (#121742,#127627)
- remove references to updfstab (#131337)
- move initscript before network (#various)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb 16 2004 Bill Nottingham <notting@redhat.com>
- add %%triggerpostun on kernel-pcmcia-cs to recreate chkconfig links
  (#115732)

* Wed Feb 11 2004 Bill Nottingham
- don't build on s390*

* Wed Jan 28 2004 Arjan van de Ven
- merge mgalgoci's cleanups

* Mon Dec  2 2002 Bill Nottingham <notting@redhat.com> 3.1.31-11
- fix exclusion of /etc/pcmcia/config

* Tue Nov 26 2002 Arjan van de Ven <arjanv@redhat.com>
- exclude range for Radeon ICP chipsets
- use modprobe not insmod

* Mon Nov  4 2002 Bill Nottingham <notting@redhat.com>
- move config to hwdata package, require it

* Fri Aug 30 2002 Preston Brown <pbrown@redhat.com>
- fix buffalo driver entry again

* Tue Aug 27 2002 Arjan van de Ven <arjanv@redhat.com>
- added some device ID's

* Mon May 13 2002 Jeremy Katz <katzj@redhat.com>
- merge changes from later 3.1.27 packages
  - add loader libs for cardmgr and probe to avoid sucking copy into anaconda
  - specify full path to kudzu in the initscript
  - config fixups for various wireless cards

* Mon Feb 11 2002 Arjan van de Ven <arjanv@redhat.com>
- upgrade to 3.1.31 upstream version

* Sun Aug 19 2001 Bill Nottingham <notting@redhat.com>
- strike that. I was on crack.

* Wed Aug  8 2001 Bill Nottingham <notting@redhat.com>
- don't run network script on device removal; hotplug will take care
  of it

* Mon Jul 16 2001 Bill Nottingham <notting@redhat.com>
- <foo>.opts should be %config(noreplace)
- the initscript should *not* be %config

* Mon Jul 09 2001 Arjan van de Ven <arjanv@redhat.com>
- make it build; fixed a few loose ends in the config file

* Sun Jul  8 2001 Bill Nottingham <notting@redhat.com>
- re-add the wireless patch

* Fri Jul 06 2001 Arjan van de Ven <arjanv@redhat.com>
- Updated to upstream 3.1.27
- fixed Compaq wavlan mapping to orinoco_cs

* Wed May  9 2001 Bill Nottingham <notting@redhat.com>
- add an entry for orinoco_cs, but don't map anything to it yet
- require kernel >= 2.4.3

* Thu Apr 26 2001 Bill Nottingham <notting@redhat.com>
- fix some screwed up driver mappings (apa1480_cb -> aic7xxx_mod, ieee1394
  stuff) (#37217)
- don't call ifdown with bogus parameters (#37353)

* Wed Apr 16 2001 Arjan van de Ven <arjanv@redhat.com>
- fix for bug 33169

* Sun Mar 11 2001 Than Ngo <than@redhat.com>
- add missing isdn script

* Sat Mar 10 2001 Preston Brown <pbrown@redhat.com>
- ad-hoc mode by default for wavelans

* Tue Feb 27 2001 Bill Nottingham <notting@redhat.com>
- require hotplug
- actually install the stubbed network script
- fix wireless script so it works when not called from the
  network script
- use xircom_cb, not tulip

* Tue Feb 27 2001 Erik Troan <ewt@redhat.com>
- don't bring network devices up or down, let hotplug take care of it

* Fri Feb 23 2001 Erik Troan <ewt@redhat.com>
- changed airo to aironet4500 in the config files
- combined some patches as it was a complete mess
- removed patch for 26955 which was just wrong -- it tried to source in
  /etc/pcmcia/wireless, which is a script that expects arguments

* Tue Feb 13 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Add condrestart to init script, move start and stop to functions
  the way we do everywhere else
- start pcmcia earlier on in the boot process - needs to be started
  before netfs if we want to mount nfs filesystems using pcmcia network
  cards.

* Mon Feb 12 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Make tulip cards use "tulip" rather than "xircom_tulip_cb"
  (Request from Arjan)
- remove 0x800-0x8ff range from ports (#25222)
- network script sources wireless script (#26955)

* Mon Feb 12 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Actually apply Erik's fstab patch
- Add support for various PCMCIA ISDN cards to /etc/pcmcia/config
  (Sedlbauer SpeedStar/SpeedStar II, AVM M1/M2/B1/A1, Elsa MicroLink)
- Update to 3.1.24 while at it:
  - Fixes buffer overrun in cardmgr
  - Fixes config scripts
  - Fixes wvlan_cs man page
  - Fixes script logging for DHCP
  All other 3.1.24 changes don't affect us because we aren't using
  the modules from this package

* Sun Feb 11 2001 Bill Nottingham <notting@redhat.com>
- take suid bit off of cardctl (#27098)

* Thu Feb 08 2001 Erik Troan <ewt@redhat.com>
- transparently use yenta_socket instead of i82365 when appropriate
- call updfstab here and there

* Tue Jan 23 2001 Erik Troan <ewt@redhat.com>
- switched to echo $"string" for translations

* Tue Jan 16 2001 Erik Troan <ewt@redhat.com>
- switched to gprintf for translations

* Tue Jan 16 2001 Erik Troan <ewt@redhat.com>
- changed xircom_tulip to xircom_tulip_cb in /etc/pcmcia/config

* Thu Jan 11 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 3.1.23

* Mon Jan 08 2001 Erik Troan <ewt@redhat.com>
- split kernel-pcmcia-cs into separate package as all of the pcmcia modules
  are from the main kernel now, and this just contributes cardmgr and config
  stuff
